Skip to main content
GET
/
custodians
/
me
/
clients
/
{clientId}
/
chains
/
{chain}
/
assets
/
{token}
/
delegations
Get delegation status for a token
curl --request GET \
  --url https://api.portalhq.io/api/v3/custodians/me/clients/{clientId}/chains/{chain}/assets/{token}/delegations \
  --header 'Authorization: Bearer <token>'
{
  "chainId": "eip155:1",
  "token": "USDC",
  "tokenAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
  "balance": "5000.0",
  "balanceRaw": "5000000000",
  "delegations": [
    {
      "address": "0x1234567890abcdef1234567890abcdef12345678",
      "delegateAmount": "1000.0",
      "delegateAmountRaw": "1000000000"
    }
  ]
}

Authorizations

Authorization
string
header
required

Portal API Key (Custodian API Key). Pass as a Bearer token in the Authorization header.

Path Parameters

clientId
string
required

The unique identifier of the client.

chain
string
required

The blockchain chain identifier. Use either a friendly name or CAIP-2 format. When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.

Supported chains:

  • ethereum (eip155:1)
  • sepolia (eip155:11155111)
  • base (eip155:8453)
  • base-sepolia (eip155:84532)
  • polygon (eip155:137)
  • polygon-amoy (eip155:80002)
  • celo (eip155:42220)
  • celo-alfajores (eip155:44787)
  • monad-testnet (eip155:10143)
  • solana (solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)
  • solana-devnet (solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)
  • tron (tron:mainnet)
  • tron-nile (tron:nile)
  • tron-shasta (tron:shasta)
  • stellar (stellar:pubnet)
  • stellar-testnet (stellar:testnet)
  • bitcoin-segwit (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-segwit-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
token
string
required

The token symbol (e.g. USDC, ETH) or contract/mint address on the specified chain.

Query Parameters

delegateAddress
string
required

The delegate address to check delegation status for.

Response

Delegation status retrieved successfully

chainId
string
token
string
tokenAccount
string

Solana token account (Solana only).

tokenAddress
string
balance
string
balanceRaw
string
delegations
object[]